Package org.apache.felix.http.base.internal.registry

## Class PathResolverFactory.RegexMatcher

- java.lang.Object
- - org.apache.felix.http.base.internal.registry.PathResolverFactory.AbstractMatcher
  - - org.apache.felix.http.base.internal.registry.PathResolverFactory.RegexMatcher

All Implemented Interfaces:
  `Comparable<PathResolver>`, `PathResolver`

Enclosing class:
  PathResolverFactory

    public static final class PathResolverFactory.RegexMatcher
    extends PathResolverFactory.AbstractMatcher

### Constructor Summary

Constructors
`RegexMatcher​(String regex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getOrdering()`
`@Nullable PathResolution` `resolve​(@NotNull String uri)`

### Methods inherited from class org.apache.felix.http.base.internal.registry.PathResolverFactory.AbstractMatcher

`compareTo, equals, getPattern, getRanking, getServletHandler, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegexMatcher

    public RegexMatcher​(String regex)

### Method Detail

#### resolve

    @Nullable
    public @Nullable PathResolution resolve​(@NotNull
                                            @NotNull String uri)

#### getOrdering

    public int getOrdering()

Specified by:
  `getOrdering` in interface `PathResolver`
Overrides:
  `getOrdering` in class `PathResolverFactory.AbstractMatcher`